import {Command, command, metadata, param} from 'clime';
import Repo from "../../lib/repo";

@command({
    description: 'Initialize workspace',
})
export default class extends Command {
    execute(
        @param({
            description: 'Workspace name',
            required: true,
        })
            alias: string,
        @param({
            description: 'Path',
            required: true,
        })
            path: string,
    ) {
        const repo = Repo.findRepo();
        repo.createWorkspace(alias, path);
    }
}
